JembossRun (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.soap
Class JembossRun

    java.lang.Object
      |
      +--org.emboss.jemboss.soap.JembossRun

public class JembossRun
extends java.lang.Object

Field Summary
`private java.util.Hashtable` | `proganswer`
`private java.lang.String` | `status`
`private java.lang.String` | `statusmsg`

Constructor Summary
`JembossRun(java.lang.String appl, java.lang.String options, java.util.Hashtable filesToMove, JembossParams mysettings)` Executes an application on a server

Method Summary
`java.util.Enumeration` | `elements()`
`java.lang.Object` | `get(java.lang.Object key)`
`java.lang.String` | `getStatus()` The status of the request
`java.lang.String` | `getStatusMsg()` A status message
`java.util.Hashtable` | `hash()`
`java.util.Enumeration` | `keys()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### statusmsg

    private java.lang.String statusmsg

### status

    private java.lang.String status

### proganswer

    private java.util.Hashtable proganswer

Constructor Detail

### JembossRun

    public JembossRun(java.lang.String appl,
                      java.lang.String options,
                      java.util.Hashtable filesToMove,
                      JembossParams mysettings)
               throws JembossSoapException

  Executes an application on a server

Parameters:
  `appl` - String defining command
  `options` - String defining options
  `filesToMove` - Hashtable of filenames and contents
  `mysettings` - JembossParams defining server parameters
Throws:
  `JembossSoapException` - if authentication fails

Method Detail

### getStatus

    public java.lang.String getStatus()

  The status of the request

  Returns:
    String 0 for success

### getStatusMsg

    public java.lang.String getStatusMsg()

  A status message

  Returns:
    string containing a status message. Or description of a error.

### hash

    public java.util.Hashtable hash()

  Returns:
    Hashtable of filenames and their contents generated by running the application

### elements

    public java.util.Enumeration elements()

  Returns:
    the elements of the results Hashtable

### keys

    public java.util.Enumeration keys()

  Returns:
    the keys of the results Hashtable

### get

    public java.lang.Object get(java.lang.Object key)

  Returns:
    Object element in the results Hashtable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD